<?php
/*
 * Plugin Name: CoolIris-Piclens
 * Version: 0.2.1
 * Description: Cooliris/Piclens activation
 * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
 * Author: Tiico
 * Author URI: 
 * */
 /* 0.2.0 --> version for PIWIGO 2.0.0    */
 /* 0.2.1 --> bug generation flux RSS  */
 /*		icone piclens lite ameliore   */

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
$me = get_plugin_data($plugin_id);

$order_list = array('Defaut PWG', 'Date de Creation', 'Date d\'ajout', 'Note Moyenne', 'Plus vues', 'Nom du fichier', 'Id', 'TODO : Categorie');
$sort_list = array('Defaut PWG', 'Croissant', 'Decroissant');
$thumb_list = array('Miniature', 'Normal');
$normal_list = array('Miniature', 'Normal', 'High');
$type_list = array('Sans R&eacute;cursivit&eacute;', 'Avec R&eacute;cursivit&eacute;');
 
 
global $template;
$template->set_filenames( array('plugin_admin_content' => dirname(__FILE__).'/piclens_admin.tpl') );



if (isset($_POST['submit'])) { 
  $me->my_config['piclens_active'] = isset($_POST['piclens_active']);
  $me->my_config['piclens_recursive'] = isset($_POST['piclens_recursive']);
  $me->my_config['piclens_gallerie_active'] = isset($_POST['piclens_gallerie_active']);
  $me->my_config['piclens_gallerie_type'] = $_POST['piclens_gallerie_type'];
  $me->my_config['piclens_lite_active'] = isset($_POST['piclens_lite_active']);
  $me->my_config['piclens_secureimage'] = isset($_POST['piclens_secureimage']);
  $me->my_config['piclens_thumb'] = $_POST['piclens_thumb'];
  $me->my_config['piclens_normal'] = $_POST['piclens_normal'];
  $me->my_config['piclens_order'] = $_POST['piclens_order'];
  $me->my_config['piclens_sort'] = $_POST['piclens_sort'];
  
  $included_file_types = isset($_POST['file_types']) ? 
                          array_map("mysql_escape_string", $_POST['file_types']) :
                          array(); 
  $me->my_config['included_file_types'] = $included_file_types;
  
  $me->save_config();
  
  global $page;
  array_push($page['infos'], 'Configuration Cooliris-Piclens Sauv&eacute;e');
}


$template->assign('PICLENS_ACTIVATED', $me->my_config['piclens_active'] ? 'checked="checked"' : '' );
$template->assign('PICLENS_RECURSIVE_ACTIVATED', $me->my_config['piclens_recursive'] ? 'checked="checked"' : '' );
$template->assign('PICLENS_GALLERIE_ACTIVATED', $me->my_config['piclens_gallerie_active'] ? 'checked="checked"' : '' );

// Affichage des coix miniature possibles pour la recursivite de l'option 'Activer gallerie'
$i=1;
foreach ( $type_list as $order ) //on parcours le tableau 
{
	$template->append('PlGallerie',array('ID' => $i,'NAME' => $order,'SELECTED' => ($me->my_config['piclens_gallerie_type'] == $i ? 'selected' : '')));
	$i++;	
}
$template->assign('PICLENS_THUMB', $me->my_config['piclens_thumb']);


$template->assign('PICLENS_LITE_ACTIVATED', $me->my_config['piclens_lite_active'] ? 'checked="checked"' : '' );


$secureImage_actif = get_db_plugins('active','secureImages');
$template->assign('PICLENS_SECUREIMAGE', $secureImage_actif ? 'Plugins <b><u><i>SecureImage</i></u> Install </b>et <b>activ</b>' : '');
$template->assign('PICLENS_SECUREIMAGE_DIV', $secureImage_actif ? '' : 'style="display:none"');
$template->assign('PICLENS_SECUREIMAGE_ACTIVATED', $me->my_config['piclens_secureimage'] ? 'checked="checked"' : '' );

// Affichage des coix miniature possibles pour Piclens
$i=1;
foreach ( $thumb_list as $order ) //on parcours le tableau 
{
	$template->append('PlThumb',array('ID' => $i,'NAME' => $order,'SELECTED' => ($me->my_config['piclens_thumb'] == $i ? 'selected' : '')));
	$i++;	
}
$template->assign('PICLENS_THUMB', $me->my_config['piclens_thumb']);

// Affichage des choix normal possibles pour Piclens
$i=1;
foreach ( $normal_list as $order ) //on parcours le tableau 
{
	$template->append('PlNormal',array('ID' => $i,'NAME' => $order,'SELECTED' => ($me->my_config['piclens_normal'] == $i ? 'selected' : '')));
	$i++;	
}
$template->assign('PICLENS_NORMAL', $me->my_config['piclens_normal']);


// Affichage des tri possibles pour Piclens
$i=1;
foreach ( $order_list as $order ) //on parcours le tableau 
{
	$template->append('PlOrder',array('ID' => $i,'NAME' => $order,'SELECTED' => ($me->my_config['piclens_order'] == $i ? 'selected' : '')));
	$i++;	
}
$template->assign('PICLENS_ORDER', $me->my_config['piclens_order']);

// Affichage de l'ordre possibles pour Piclens
$i=1;
foreach ( $sort_list as $order ) //on parcours le tableau 
{
	$template->append('PlSort',array('ID' => $i,'NAME' => $order,'SELECTED' => ($me->my_config['piclens_sort'] == $i ? 'selected' : '')));
	$i++;	
}
$template->assign('PICLENS_SORT', $me->my_config['piclens_sort']);


// Selection type de fichier autorise
$query = '
  SELECT DISTINCT(tn_ext)
  FROM '.IMAGES_TABLE.';';

$result = pwg_query($query);
if (!empty($result)) {
  global $template;

  while ($row = mysql_fetch_assoc($result)) {
    $template->append(
      'file_types',
      array('SELECTED' => in_array($row['tn_ext'], $me->my_config['included_file_types'] ) ? 'selected' : '',
            'VALUE' => $row['tn_ext'],
            'OPTION' => $row['tn_ext']
           )
    );
  }
}

 
$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');
 

?>
